valknut(1)

NAME
valknut — Multi-platform direct connect client

SYNOPSIS

valknut [OPTIONS]

DESCRIPTION

Valknut is a program the uses the Direct Connect protocol. It is compatible with other DC clients, such as the original DC from Neomodus, DC++, and Shakespeer.

-c <directory>
    Lets you specify the path where valknut should find its configuration files. Useful if you want to have multiple configurations, eg. for testing.

--check-theme
    Displays how many themes/styles are available and exits.

--disable-backtrace
    is useful when you have compiled a debug version of valknut. If you want to produce a core file (for a bug report) you have to put this option when launching valknut.

--disable-splash
    Startup splash screen is not shown.

--disable-theme
    Theme support is turned off. Could be useful if buggy themes are making valknut crash.

--disable-tray
    Turns off the tray icon. Useful if your window manager doesn't support tray icons.

--help
    Show the list of command line options and brief help on what they do.

--socketlog <param>
    Outputs a log of socket data to the file dcsocket.log. Valid values for param are none, send, recv or both.

--trayicon
    Starts the application in tray icon mode, meaning the main window will not be visible.

-v verboselevel 1

-vv verboselevel 2
    With level 1 you can see every path on create sharelist and with level 2 you see every path and file.

  Environment Variables:

http_proxy
    If set, the HTTP proxy server to use for downloading public hub lists. Needs to be in the form http://<server>[:port]

  Keyboard Shortcuts:

Ctrl+A
    Set Away Mode -> Away

Ctrl+F
    Open Users Window

Ctrl+N
    Set Away Mode -> Normal

Ctrl+O
    Open Options Window

Ctrl+P
    Open Spy Window

Ctrl+Q
    Exit Program

Ctrl+S
    Open Hub Search Window

Ctrl+T
    Open Transfer List Drawer

Ctrl+U
    Open Hub List Window

This manual page was written for the Debian distribution because the original program did not have a manual page.

SEE ALSO

none

AUTHOR

This manual page was written by Pasi Savilaakso pasi.savilaakso@pp.inet.fi for the Debian system (but may be used by others) with help of Andrew Greig. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.